Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
NephrenKa

Autocad E Il Comando Specchia

Recommended Posts

Ciao a tutti. Ho una domanda da un milione di dollari rgiuardo il comando SPECCHIA (mirror) di Autocad <_<

Mi capita spesso di dovere specchiare parecchi oggetti e dopo la specchiatura c'è la fatidica domanda: "Cancellare gli oggetti sorgente?". Di default è impostato su "no". C'è un sistema per impostare il default a "si"? Mi è venuta l'artrite all'indice a forza di premere S!!! :D

Grazie! Ciao!

Share this post


Link to post
Share on other sites
C'è un sistema per impostare il default a "si"? Mi è venuta l'artrite all'indice a forza di premere S!!!

Spero per te di essere smentito ma non credo ci sia il modo di modificare il default

Share this post


Link to post
Share on other sites

scusa, ma non ho capito il problema, io fo così: seleziono gli oggetti, comando specchia, definisco la traiettoria su cui specchiare e poi dò invio con la barra spaziatrice, senza dover dirgli si o no, semmai, a volte, gli dico di rimuovere gli oggetti sorgenti.

inoltre i comandi per la cancellazione o meno degli oggetti sorgenti li puoi richiamare direttamente con il tasto destro del mouse (dipende anche da come hai configurato il tasto destro su autocad, io lo uso con il menù a comparsa e non come invio, lo trovo più comodo)

ciao

pinone

ps. sono un pirla ho letto il tuo messaggio alla rovescia, la risposta non la so!!

magari ci si studia un pò!!


Edited by pinone2006

Share this post


Link to post
Share on other sites
Ciao a tutti. Ho una domanda da un milione di dollari rgiuardo il comando SPECCHIA (mirror) di Autocad <_<

Mi capita spesso di dovere specchiare parecchi oggetti e dopo la specchiatura c'è la fatidica domanda: "Cancellare gli oggetti sorgente?". Di default è impostato su "no". C'è un sistema per impostare il default a "si"? Mi è venuta l'artrite all'indice a forza di premere S!!! :D

Grazie! Ciao!

hai la versione full di AutoCAD ?

Share this post


Link to post
Share on other sites

Arri, se sei daccordo si potrebbe modificare quel lisp in maniera di usare direttamente il comando e osservare i movimenti degli oggetti quando si selezionano i 2 punti della linea speculare, senza andare alla cieca.

(defun C:MIRDEL ()

(setq sxm (ssget))

(command "_mirror" sxm "" pause pause "_y")

(princ))

Share this post


Link to post
Share on other sites
Arri, se sei daccordo si potrebbe modificare quel lisp in maniera di usare direttamente il comando e osservare i movimenti degli oggetti quando si selezionano i 2 punti della linea speculare, senza andare alla cieca.

(defun C:MIRDEL ()

(setq sxm (ssget))

(command "_mirror" sxm "" pause pause "_y")

(princ))

e perchè non dovrei essere daccordo ?

Bravo :)

Vedi cosa vuol dire mettere il codice libero e non criptato in VLX ?

Condividendo possono apportare migliorie tutti, viceversa no ;)


Edited by arri

Share this post


Link to post
Share on other sites
Ciao a tutti. Ho una domanda da un milione di dollari rgiuardo il comando SPECCHIA (mirror) di Autocad <_<

Mi capita spesso di dovere specchiare parecchi oggetti e dopo la specchiatura c'è la fatidica domanda: "Cancellare gli oggetti sorgente?". Di default è impostato su "no". C'è un sistema per impostare il default a "si"? Mi è venuta l'artrite all'indice a forza di premere S!!! :D

Grazie! Ciao!

Guarda la coincidenza! O sei la stessa persona?

A questo link abbiamo dato una soluzione al problema.

http://www.cadlandia.com/forum/topic.asp?TOPIC_ID=8254

Share this post


Link to post
Share on other sites

Per comodità, ecco comunque il file Lisp

(defun C:Mr ()

(setq sxm (ssget))

(setq risp (getstring "Vuoi cancellare gli oggetti (spazio/destro mouse=Yes, N=No)?" ))

(if (or (= risp "N") (= risp "n"))

(command "_mirror" sxm "" pause pause "_N")

(command "_mirror" sxm "" pause pause "_Y")

)

(princ)

)


Edited by joseph1

Share this post


Link to post
Share on other sites

No Joseph... Anche su questo forum sono sempre riga (anche se ho dovuto aggiungere il 71)

La modifica introdotta da GP mi piace molto... Vado a sostituire il mio vecchio comando ;)

Gracias

Nephren-Ka > VECCHIOTTO???? Io o il mio post :crying:

eheheh

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...
Aspetta! x

Ti piacerebbe rimanere sempre aggiornato sulle ultime novità nel campo della computer grafica?

Iscrivendoti alla Newsletter riceverai subito una mail con le indicazioni per scaricare gratuitamente:

  1. Le immagini HDRI presenti su HDRI pro
  2. Una sequenza di 300 immagini HDRI generata da Luca Deriu tramite il programma Real HDR